Name:           apfsprogs
Version:        0.2.0
Release:        %autorelease
Summary:        Experimental APFS tools for Linux

License:        GPL-2.0-only
URL:            https://github.com/linux-apfs/apfsprogs
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make

%description
Apfsprogs is a suite of userland software to work with the Apple File System on
Linux.

%prep
%autosetup -p1

%build
for bin in apfs-label apfs-snap apfsck mkapfs; do
  %make_build -C "$bin" GIT_COMMIT="%{version}"
done


%install
for bin in apfs-label apfs-snap apfsck mkapfs; do
  %make_install -C "$bin" \
    GIT_COMMIT="%{version}" \
    BINDIR="%{_bindir}" \
    MANDIR="%{_mandir}/man8" \
    %{nil}
done

%files
%license LICENSE
%doc README
%{_bindir}/apfs-label
%{_bindir}/apfs-snap
%{_bindir}/apfsck
%{_bindir}/fsck.apfs
%{_bindir}/mkapfs
%{_bindir}/mkfs.apfs
%{_mandir}/man8/apfs-label.8*
%{_mandir}/man8/apfs-snap.8*
%{_mandir}/man8/apfsck.8*
%{_mandir}/man8/fsck.apfs.8*
%{_mandir}/man8/mkapfs.8*
%{_mandir}/man8/mkfs.apfs.8*

%changelog
%autochangelog
